local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Engineering(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Engineering")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)


-- Introduction

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Introduction:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("This profession seems to usually be the most overlooked. If fact Engineering is quite a profitable profession with multiple revenue streams to make gold within the game. We shall dig into some of the ways we can double down and increase our returns to make gold with this profession. One keynote for this profession is that this one takes a little longer to sell on crafts than other as a lot of the crafts are player specific such as Restricted Mounts and Quest Turn in's for patience is a factor.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Boes

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Boe's:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("We will first start off with boe's. Now this profession is not a soul dedicated boe creating profession but does have some which can be sold for a decent chunk of gold. For the basics, current content boes are always king in regards to sell rate and gold returns this is because we can sell more over time for a reasonable profit. These generally are the Gun based boe's which are the most common but you do get some which are detailed as Maces as well.  Focusing on the current expansion crafts is always a safe bet when getting into a professions market and as such we can then add onto that in the future.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("As we build more into the boe crafts ( Bind on Equip), we can then add on old expansion crafts for these. Typically these are bought as transmog for other player and before go into which ones to craft I would ask “What would look cool on my character?”. By asking this you'll get a good idea on what will sell well without looking at the sell rates and statistics. Though looking at sell rate would give us a good indication of what is selling well but a more straight forward approach would be to go from Vanilla based craft and work your way up as more often than not Vanilla, Burning Crusade and Wotlk transmog items will sell the best and this is where you should start as you get into crafted boe's.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Battle Pets

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Battle Pets:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Now for Battle Pets, these are without doubt one of the best ways to make gold with battle pets. The pluses are that you don't need to get lucky on a drop from a world boss or rare, the gold value for your time is one of the best around as it is crafting and overall sell rate are reasonably high in regards to this.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("By far the best crafted battle pet is the Mechanical Pandarian Dragonling. This is because it is a keynote battle pet when fighting in pet battles and the sell rate on your server is most likely reflecting this. However, this is of course is an easy craft to do but remember that you can level up the battle pet to max level to get the best return for your time. This will be discussed in the battle pet side of the book.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Other Engineering crafted battle pets like the Life-Like Mechanical Toad also sells well but at a slower rate so starting with the  Mechanical Pandarian Dragonling is most likely you best starting point with these and then moving into the other battle pets in the mean time.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Mounts

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mounts:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("With Mounts you have an array of crafted mounts with Engineering. Later on in the book is a detailed guide on how to Source and Craft the Mekgineer's Chopper but there are some Mounts within Engineering which do also sell rather well.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("These Mounts are the Engineering restricted mounts, meaning that it requires you to learn Engineering profession to learn these mounts. The Turbo-Charged Flying Machine is one of these, this requires you to know Outland Engineering to to craft and as such will cost fair but not unreasonable amount of gold to craft this mount.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Though with Engineering restricted mounts do sell there sell at a much slower rate compared to the non-restricted mounts. This also is a good way to increase mount production across multiple varities and as such can increase your overall good returns in the long run while doing this as a daily restocking method.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Nick Nacks

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Nick Nacks:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("In regards to Nick Nacks, this comes under other crafts such as bolts, bombs, frames etc... these do tend to sell well if chosen in a correct manor. The most notable of which is the nick nacks for Goblin and Gnomish Engineering as these are used to complete the initial quest for learning extra crafts for Engineers.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("These are required to be given in learn some mounts such as the Geosynchronous World Spinner and the Depleated Kypyrium Rocket. This more often than not is for this reason, so crafting the resources for completing these quests is quite profitable over the long run with there higher than average profit margins as players will just by these rather than craft for the premium.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Other sources of making gold with this is the basic crafts of bolts which are used for a varitiy of levelling and crafting. Such as for the Mekgineer's Chopper with Cobalt Bolts and Ghost Iron Bolts for power levelling your Engineering skill to max skill with this.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
-- Toys

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Toys:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Lastly for Toys, there are some good keynote items which should always be supplied on the auction house. These are the Wormhole Generators, they are used for getting around the world faster and also for a bit of fun. These also are toys which means you can add these into your collection for bonus achievements.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Other toys are mainly event based crafts which for instance is the Snowmaster 9000 which can create snowballs for the Feast of Winter Veil Event. At the time of the year in December for the feast of Winter veil you will see a good amount of people buying these as this also goes towards some achievements within this event and as such you will be able to charge a premium for this perk.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  

  local desc = AceGUI:Create("Label")
  desc:SetText("Through Toys in game do sell they take a little long than most to sell so patients is key when crafting these. The best ones to start with are the Wormhole Generators and as such beginning here will break you into this market easier.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)    
  
  
  
  
  
  
  
  
  
  
  
  
  












end